Subject: bug#13686: hi-yellow vs. hi-lock-1

From: Juri Linkov <[email-masked]>
Date: Thu, 07 Mar 2013 11:16:05 +0200

>> `hi-yellow' is a meaningful name.  Together with other complementary
>> faces they cover the whole color space.
>
> It is difficult for me to believe that the original design intent was to
> "cover color space".
>
>     hi-black-b
>     hi-black-hb
>     hi-blue
>     hi-blue-b
>     hi-green
>     hi-green-b
>     hi-pink
>     hi-red-b
>     hi-yellow
>
> You see there are two blacks, two blues and two greens. Try
>
>         C-u M-x list-colors-display RET hi- RET
>
> and convince yourself how close or far away it is from covering the
> whole "color space".  It seems like a mixed bag.  If there is a design,
> I am not seeing it.

When I try `C-u M-x list-faces-display RET hi- RET'
I see exactly the same colors as displayed in the first image
in http://en.wikipedia.org/wiki/RGB

Primary colors: hi-red-b, hi-green-b, hi-blue-b.
Secondary colors: hi-blue, hi-pink, hi-yellow.

So there is a complete coverage of the colors
evenly distributed on the color wheel.